import { PaginationDto } from "../common/dto/pagination.dto";
import { CreateSizeDto } from "./dto/create-size.dto";
import { UpdateSizeDto } from "./dto/update-size.dto";
import { SizeService } from "./size.service";
export declare class SizeController {
    private readonly sizeService;
    constructor(sizeService: SizeService);
    create(createSizeDto: CreateSizeDto): Promise<import("../entities/size.entity").Size>;
    findAll(paginationDto: PaginationDto): Promise<{
        data: import("../entities/size.entity").Size[];
        page: number;
        limit: number;
        total: number;
        previous: number | null;
        next: number | null;
    }>;
    findOne(id: string): Promise<import("../entities/size.entity").Size>;
    update(id: string, updateSizeDto: UpdateSizeDto): Promise<import("../entities/size.entity").Size>;
    remove(id: string): Promise<void>;
}
